This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 496438 - Software cursor unavailable for 845G chipset graphics
Software cursor unavailable for 845G chipset graphics
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_965GM
: EasyFix, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-19 03:44 EDT by Joachim Frieben
Modified: 2010-04-26 17:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-26 17:45:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log for Intel 845G chipset graphics with option "SWcursor" enabled (75.53 KB, text/plain)
2009-04-19 03:46 EDT, Joachim Frieben
no flags Details
xorg.conf for Intel 845G chipset graphics with option "SWcursor" enabled (1.88 KB, text/plain)
2009-04-19 03:47 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2009-04-19 03:44:51 EDT
Description of problem:
For current "rawhide" and an Intel Corporation 82845G/GL[Brookdale-G]/GE Chipset Integrated Graphics Device rev 3 chipset graphics device, the mouse cursor is invisible when kernel modesetting is enabled. Adding option "SWcursor" to a custom xorg.conf file as a workaround has no effect. It turns out that this option is rejected according to xorg.0.log.

Version-Release number of selected component (if applicable):
xorg-x11-drv-intel-2.7.0-1.fc11.i586

How reproducible:
Always.

Steps to Reproduce:
1. Add the line 'Option "SWcursor"' to the driver of xorg.conf.
2. Restart X.
  
Actual results:
Mouse cursor remains invisible.

Expected results:
Mouse cursor is visible again.

Additional info:
- Option is also rejected after booting with option "nomodeset".
Comment 1 Joachim Frieben 2009-04-19 03:46:42 EDT
Created attachment 340213 [details]
Xorg.0.log for Intel 845G chipset graphics with option "SWcursor" enabled
Comment 2 Joachim Frieben 2009-04-19 03:47:32 EDT
Created attachment 340214 [details]
xorg.conf for Intel 845G chipset graphics with option "SWcursor" enabled
Comment 3 Jason Long 2009-05-21 15:52:50 EDT
probably a duplicate of bug 488980
Comment 4 Bug Zapper 2009-06-09 10:06:00 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Matěj Cepl 2009-11-05 13:26:46 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 7 Joachim Frieben 2009-11-14 07:45:33 EST
Current F12-rawhide still has this issue:

 (WW) intel(0): Option "SWcursor" is not used

However, 'X -configure' actually does produce a file xorg.conf with this option which, on the other hand, is not even mentioned on the man page 'man intel'.
So, is this merely a documentation issue?
Comment 8 Bug Zapper 2010-03-15 08:32:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Adam Williamson 2010-04-16 14:21:22 EDT
A new version of the Intel driver, xorg-x11-drv-intel-2.11.0-1.fc13, has just been added: https://admin.fedoraproject.org/updates/xorg-x11-drv-intel-2.11.0-1.fc13 . Can you please test with this version and see if the bug is reproducible? If you have an installed Fedora 13, you can download and install the driver from the Koji link. If you are testing with live images, the nightly live images from 2010-04-17 (or possibly 2010-04-18) onwards should include this version: http://alt.fedoraproject.org/pub/alt/nightly-composes/desktop/ . This comment is being added to all open Fedora 13 intel bugs, please ignore if it does not make sense in the context of your bug.
Comment 10 Adam Jackson 2010-04-26 17:45:56 EDT
Software cursor is unavailable for intel, period.  Kind of a downer, but meh.  If broken hardware cursor is still an issue for you in F13, please reopen.

Note You need to log in before you can comment on or make changes to this bug.